%define upstream_name    HTML-FormHandler
%define upstream_version 0.40068

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An HTML form handler written in Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Data::Clone)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Email::Valid)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TreeBuilder) >= 3.230.0
BuildRequires: perl(JSON::MaybeXS) >= 1.3.3
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Locale::Maketext) >= 1.90.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moose) >= 2.140.300
BuildRequires: perl(MooseX::Getopt) >= 0.160.0
BuildRequires: perl(MooseX::Types) >= 0.200.0
BuildRequires: perl(MooseX::Types::Common)
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.6.0
BuildRequires: perl(PadWalker)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle) >= 1.40.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(HTML::FormHandler::Meta::Role\\)$

%description
HTML::FormHandler maintains a clean separation between form construction
and form rendering. It allows you to define your forms and fields in a
number of flexible ways. Although it provides renderers for HTML, you can
define custom renderers for any kind of presentation.

Although documentation in this file provides some overview, it is mainly
intended for API documentation. See the HTML::FormHandler::Manual::Intro
manpage for a more detailed introduction.

HTML::FormHandler allows you to define form fields and validators. It can
be used for both database and non-database forms, and will automatically
update or create rows in a database. It can be used to process structured
data that doesn't come from an HTML form.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE TODO
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 0.400.680-6.mga10
+ Revision: 2143886
- rebuild for perl 5.40

* Tue Mar 22 2022 umeabot <umeabot> 0.400.680-5.mga9
+ Revision: 1818859
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.680-4.mga8
+ Revision: 1504618
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.400.680-3.mga7
+ Revision: 1283960
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.400.680-2.mga7
+ Revision: 1164790
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.400.680-1.mga7
+ Revision: 1159595
- update to 0.40068

* Sun Jun 19 2016 pterjan <pterjan> 0.400.650-2.mga6
+ Revision: 1028225
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.400.650-1.mga6
+ Revision: 1001989
- update to 0.40065

* Fri Feb 19 2016 umeabot <umeabot> 0.400.640-2.mga6
+ Revision: 970010
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.400.640-1.mga6
+ Revision: 884628
- update to 0.40064

* Sun Jul 05 2015 sander85 <sander85> 0.400.630-1.mga6
+ Revision: 851613
- update to 0.40063

* Wed Oct 15 2014 umeabot <umeabot> 0.400.570-4.mga5
+ Revision: 742894
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.400.570-3.mga5
+ Revision: 736741
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.400.570-2.mga5
+ Revision: 684936
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 0.400.570-1.mga5
+ Revision: 659362
- update to 0.40057

* Thu Feb 13 2014 jquelin <jquelin> 0.400.560-1.mga5
+ Revision: 590743
- update to 0.40056

* Fri Jan 17 2014 dmorgan <dmorgan> 0.400.550-2.mga4
+ Revision: 566745
- Rebuild against new perl-List-AllUtils

* Sun Jan 12 2014 guillomovitch <guillomovitch> 0.400.550-1.mga4
+ Revision: 566358
- new version 0.40055

* Mon Oct 21 2013 umeabot <umeabot> 0.400.500-2.mga4
+ Revision: 537807
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.400.500-1.mga4
+ Revision: 487791
- update to 0.40050

* Thu Sep 26 2013 sander85 <sander85> 0.400.280-1.mga4
+ Revision: 486585
- update to 0.40028

* Thu Aug 08 2013 sander85 <sander85> 0.400.270-1.mga4
+ Revision: 464688
- update to 0.40027

* Fri Jun 07 2013 jquelin <jquelin> 0.400.250-1.mga4
+ Revision: 439592
- update to 0.40025

* Sun Jan 13 2013 umeabot <umeabot> 0.400.170-2.mga3
+ Revision: 368004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.400.170-1.mga3
+ Revision: 342227
- update to 0.40017

* Tue Oct 16 2012 jquelin <jquelin> 0.400.160-1.mga3
+ Revision: 307240
- update to 0.40016

* Mon Oct 15 2012 jquelin <jquelin> 0.400.150-1.mga3
+ Revision: 306179
- update to 0.40015

* Wed Jul 04 2012 jquelin <jquelin> 0.400.130-1.mga3
+ Revision: 267453
- update to 0.40013

* Sat Jun 09 2012 jquelin <jquelin> 0.400.110-1.mga3
+ Revision: 258906
- update to 0.40011

* Wed Jun 06 2012 jquelin <jquelin> 0.400.100-1.mga3
+ Revision: 256129
- update to 0.40010

* Thu Feb 23 2012 jquelin <jquelin> 0.360.30-1.mga2
+ Revision: 212904
- update to 0.36003

* Wed Jan 25 2012 jquelin <jquelin> 0.360.10-1.mga2
+ Revision: 200914
- update to 0.36001

* Thu Oct 13 2011 jquelin <jquelin> 0.350.50-1.mga2
+ Revision: 154329
- update to 0.35005

* Mon Sep 26 2011 jquelin <jquelin> 0.350.30-1.mga2
+ Revision: 148102
- update to 0.35003
- update to 0.35002
- update to 0.35000
+ kharec <kharec>
- update to 0.35001

* Fri Jun 17 2011 jquelin <jquelin> 0.340.10-1.mga2
+ Revision: 108869
- update to 0.34001

* Fri Feb 25 2011 jquelin <jquelin> 0.330.20-1.mga1
+ Revision: 59776
- update to 0.33002

* Wed Jan 26 2011 jquelin <jquelin> 0.320.50-1.mga1
+ Revision: 39994
- mageia rebuild
- imported package perl-HTML-FormHandler

